diff --git a/.appveyor.yml b/.appveyor.yml
index 0c8217a7..637d26ac 100644
--- a/.appveyor.yml
+++ b/.appveyor.yml
@@ -1,4 +1,4 @@
-version: '1.11.0-git-{build}'
+version: '1.12.0-git-{build}'
image: 'Visual Studio 2019'
clone_depth: 1
@@ -33,7 +33,6 @@ environment:
DEPLOY: false
install:
- - cmd: if defined QMAKE ( git clone --depth 1 --recurse-submodules https://github.com/radareorg/r2ghidra-dec.git %APPVEYOR_BUILD_FOLDER%/r2ghidra-dec )
- ps: $env:path = ($env:path -split ";").Where({!($_ -like "*Microsoft SQL Server*")}) -join ";"
- cmd: C:\msys64\usr\bin\bash -lc "cd $APPVEYOR_BUILD_FOLDER && scripts/fetch_deps.sh"
- cmd: set "CUTTER_DEPS_DIR=%APPVEYOR_BUILD_FOLDER%\cutter-deps"
@@ -46,7 +45,7 @@ install:
- cmd: where meson.exe
- cmd: powershell -Command "[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; wget %NINJA_URL% -OutFile ninja.zip; Expand-Archive .\ninja.zip -DestinationPath ."
# Artifacts
- - cmd: set "ARTIFACT_NAME=Cutter-v1.11.0-%ARCH%.Windows"
+ - cmd: set "ARTIFACT_NAME=Cutter-v1.12.0-rc1-%ARCH%.Windows"
- cmd: if defined MESON ( set "ARTIFACT_PATH=dist_%ARCH%" ) else ( set "ARTIFACT_PATH=build_%ARCH%\cutter" )
before_build:
diff --git a/docs/source/conf.py b/docs/source/conf.py
index bbf27a78..e83e23c8 100644
--- a/docs/source/conf.py
+++ b/docs/source/conf.py
@@ -24,9 +24,9 @@ copyright = '2020, The Cutter Developers'
author = 'The Cutter Developers'
# The short X.Y version
-version = '1.11'
-# The full version, including alpha/beta/rc tags
-release = '1.11.0'
+version = '1.12'
+# The full version, including a2lpha/beta/rc tags
+release = '1.12.0-rc1'
# -- General configuration ---------------------------------------------------
diff --git a/scripts/appveyor_r2ghidra.sh b/scripts/appveyor_r2ghidra.sh
index b7721fac..bc20362e 100755
--- a/scripts/appveyor_r2ghidra.sh
+++ b/scripts/appveyor_r2ghidra.sh
@@ -1,8 +1,15 @@
#!/bin/bash
+set -eu
+
+git clone --recurse-submodules https://github.com/radareorg/r2ghidra-dec.git $APPVEYOR_BUILD_FOLDER/r2ghidra-dec
+pushd $APPVEYOR_BUILD_FOLDER/r2ghidra-dec
+git checkout --recurse-submodules 8e576eeadc211de4ac8d8c759cc368fa48cdfa99
+popd
+
scripts/r2ghidra.sh \
-DCMAKE_C_COMPILER=cl \
-DCMAKE_BUILD_TYPE=Release \
- -DCMAKE_PREFIX_PATH="$APPVEYOR_BUILD_FOLDER/r2_dist;$APPVEYOR_BUILD_FOLDER/r2_dist/include/libr;$APPVEYOR_BUILD_FOLDER/r2_dist/include/libr/sdb;$QT64PATH" \
+ -DCMAKE_PREFIX_PATH="$APPVEYOR_BUILD_FOLDER/r2_dist;$APPVEYOR_BUILD_FOLDER/r2_dist/include/libr;$APPVEYOR_BUILD_FOLDER/r2_dist/include/libr/sdb" \
-DCMAKE_INSTALL_PREFIX="$APPVEYOR_BUILD_FOLDER/r2_dist" \
-DRADARE2_INSTALL_PLUGDIR="$APPVEYOR_BUILD_FOLDER/r2_dist/lib/plugins"
\ No newline at end of file
diff --git a/scripts/bundle_r2dec.ps1 b/scripts/bundle_r2dec.ps1
index 2e3ded1b..ac3f66d3 100644
--- a/scripts/bundle_r2dec.ps1
+++ b/scripts/bundle_r2dec.ps1
@@ -1,8 +1,9 @@
$dist = $args[0]
$python = Split-Path((Get-Command python.exe).Path)
-git clone https://github.com/wargio/r2dec-js.git
+git clone https://github.com/radareorg/r2dec-js.git
cd r2dec-js
+git checkout b5a0d15c7bcc488f268ffb0931b7ced2919f6c9d
& meson.exe --buildtype=release -Dc_args=-DDUK_USE_DATE_NOW_WINDOWS --prefix=$dist --libdir=lib\plugins --datadir=lib\plugins p build
ninja -C build install
Remove-Item -Recurse -Force $dist\lib\plugins\core_pdd.lib
diff --git a/scripts/r2dec.sh b/scripts/r2dec.sh
index 662d72d0..e6702804 100755
--- a/scripts/r2dec.sh
+++ b/scripts/r2dec.sh
@@ -7,7 +7,10 @@ SCRIPTPATH=$(realpath "$(dirname "${BASH_SOURCE[0]}")")
cd "$SCRIPTPATH/.."
if [[ ! -d r2dec-js ]]; then
- git clone --depth 1 https://github.com/wargio/r2dec-js.git
+ git clone https://github.com/wargio/r2dec-js.git
+ cd r2dec-js
+ git checkout b5a0d15c7bcc488f268ffb0931b7ced2919f6c9d
+ cd ..
fi
cd r2dec-js
diff --git a/scripts/r2ghidra.sh b/scripts/r2ghidra.sh
index 14a3b12f..dbed36d1 100755
--- a/scripts/r2ghidra.sh
+++ b/scripts/r2ghidra.sh
@@ -1,11 +1,16 @@
#!/bin/bash
+set -e
+
SCRIPTPATH=$(realpath "$(dirname "${BASH_SOURCE[0]}")")
cd "$SCRIPTPATH/.."
if [[ ! -d r2ghidra-dec ]]; then
- git clone --depth 1 --recurse-submodules https://github.com/radareorg/r2ghidra-dec.git || exit 1
+ git clone --recurse-submodules https://github.com/radareorg/r2ghidra-dec.git || exit 1
+ pushd r2ghidra-dec
+ git checkout --recurse-submodules 8e576eeadc211de4ac8d8c759cc368fa48cdfa99
+ popd
fi
cd r2ghidra-dec || exit 1
diff --git a/src/Cutter.pro b/src/Cutter.pro
index 36ea95a8..a36eed4d 100644
--- a/src/Cutter.pro
+++ b/src/Cutter.pro
@@ -3,7 +3,7 @@ TEMPLATE = app
TARGET = Cutter
CUTTER_VERSION_MAJOR = 1
-CUTTER_VERSION_MINOR = 11
+CUTTER_VERSION_MINOR = 12
CUTTER_VERSION_PATCH = 0
VERSION = $${CUTTER_VERSION_MAJOR}.$${CUTTER_VERSION_MINOR}.$${CUTTER_VERSION_PATCH}
diff --git a/src/org.radare.Cutter.appdata.xml b/src/org.radare.Cutter.appdata.xml
index cddf1d98..c8acd9f2 100644
--- a/src/org.radare.Cutter.appdata.xml
+++ b/src/org.radare.Cutter.appdata.xml
@@ -25,6 +25,7 @@
xarkes
+